# class KIntNumInput | An input widget for integer numbers, consisting of a spinbox and a slider. More...
Definition | `#include <knuminput.h>`
Inherits | KNumInput [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KIntNumInput (QWidget *parent=0, const char *name=0)
- KIntNumInput (int value, QWidget* parent=0, int base = 10, const char *name=0)
- KIntNumInput (KNumInput* below, int value, QWidget* parent=0, int base = 10, const char *name=0)
- virtual ~KIntNumInput ()
- int value () const
- QString suffix () const
- QString prefix () const
- QString specialValueText () const
- void setRange (int lower, int upper, int step=1, bool slider=true)
- void setSpecialValueText (const QString& text)
- virtual QSize minimumSizeHint () const

#### Public Slots

- void setValue (int)
- void setSuffix (const QString &suffix)
- void setPrefix (const QString &prefix)
- void setEditFocus ( bool mark = true )

#### Signals

- void valueChanged (int)

#### Protected Members

- KIntSpinBox* m_spin
- QSize m_sizeSpin

## Detailed Description

KIntNumInput combines a QSpinBox and optionally a QSlider with a label to make an easy to use control for setting some integer parameter. This is especially nice for configuration dialogs, which can have many such combinated controls.

The slider is created only when the user specifies a range for the control using the setRange function with the slider parameter set to "true".

A special feature of KIntNumInput, designed specifically for the situation when there are several KIntNumInputs in a column, is that you can specify what portion of the control is taken by the QSpinBox (the remaining portion is used by the slider). This makes it very simple to have all the sliders in a column be the same size.

It uses KIntValidator validator class. KIntNumInput enforces the value to be in the given range, and can display it in any base between 2 and 36.

KIntNumInput (QWidget *parent=0, const char *name=0) | ### KIntNumInput

Constructs an input control for integer values with base 10 and initial value 0.

KIntNumInput (int value, QWidget* parent=0, int base = 10, const char *name=0) | ### KIntNumInput

Constructor It constructs a QSpinBox that allows the input of integer numbers in the range of -INT_MAX to +INT_MAX. To set a descriptive label, use setLabel(). To enforce the value being in a range and optionally to attach a slider to it, use setRange().

Parameters:

value | initial value for the control
base | numeric base used for display
parent | parent QWidget
name | internal name for this widget

KIntNumInput (KNumInput* below, int value, QWidget* parent=0, int base = 10, const char *name=0) | ### KIntNumInput

Constructor

the difference to the one above is the "below" parameter. It tells this instance that it is visually put below some other KNumInput widget. Note that these two KNumInput's need not to have the same parent widget or be in the same layout group. The effect is that it'll adjust it's layout in correspondence with the layout of the other KNumInput's (you can build an arbitary long chain).

Parameters:

below | append KIntNumInput to the KNumInput chain
value | initial value for the control
base | numeric base used for display
parent | parent QWidget
name | internal name for this widget

~KIntNumInput () | ### ~KIntNumInput

[virtual]

Destructor

int value () | ### value

[const]

Returns: the current value.

QString suffix () | ### suffix

[const]

Returns: the suffix displayed behind the value.

See also: setSuffix()

QString prefix () | ### prefix

[const]

Returns: the prefix displayed in front of the value.

See also: setPrefix()

QString specialValueText () | ### specialValueText

[const]

Returns: the string displayed for a special value.

See also: setSpecialValueText()

void setRange (int lower, int upper, int step=1, bool slider=true) | ### setRange

Parameters:

lower | lower bound on range
upper | upper bound on range
step | step size for the QSlider

void setSpecialValueText (const QString& text) | ### setSpecialValueText

Sets the special value text. If set, the SpinBox will display this text instead of the numeric value whenever the current value is equal to minVal(). Typically this is used for indicating that the choice has a special (default) meaning.

void setLabel (QString label, int a = AlignLeft | AlignTop) | ### setLabel

[virtual]

Reimplemented from KNumInput for internal purposes..

QSize minimumSizeHint () | ### minimumSizeHint

[const virtual]

This method returns the minimum size necessary to display the control. The minimum size is enough to show all the labels in the current font (font change may invalidate the return value).

Returns: the minimum size necessary to show the control

Reimplemented from QWidget.

void setValue (int) | ### setValue

[slot]

Sets the value of the control.

void setSuffix (const QString &suffix) | ### setSuffix

[slot]

Sets the suffix to `suffix`. Use QString::null to disable this feature. Formatting has to be provided (e.g. a space separator between the prepended `value` and the suffix's text has to be provided as the first character in the suffix).

See also: QSpinBox::setSuffix(), setPrefix()

void setPrefix (const QString &prefix) | ### setPrefix

[slot]

Sets the prefix to `prefix`. Use QString::null to disable this feature. Formatting has to be provided (see above).

See also: QSpinBox::setPrefix(), setSuffix()

void setEditFocus ( bool mark = true ) | ### setEditFocus

[slot]

sets focus to the edit widget and marks all text in if mark == true

void valueChanged (int) | ### valueChanged

[signal]

Emitted every time the value changes (by calling setValue() or by user interaction).

void doLayout () | ### doLayout

[protected virtual]

Reimplemented from KNumInput for internal purposes..

void resizeEvent ( QResizeEvent * ) | ### resizeEvent

[protected]

Reimplemented from QWidget for internal purposes..

KIntSpinBox* m_spin | ### m_spin

[protected]

QSize m_sizeSpin | ### m_sizeSpin

[protected]

- Version: $Id: knuminput.h,v 1.27 2000/09/13 23:31:55 gebauer Exp $
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.